
main() {
  var a;

  try {
    a.doSomething();   
  } on NoSuchMethodError catch (e, s) {
    print("'a' variable does not have the doSomething() method:");
    rethrow; // rezygnujemy z obsługi i ponownego rzucania wyjątku
  }
}
